$(document).ready(function() {

	var checkMessages = false;
	var data;
	var err_ready = true;

	var jMessageTitle = $('#messageTitle');
	var jMessage = $('#message');
	var jSendBut = $('#dialogSendButton');

	$('#errDialog').dialog(
	{
		autoOpen: false,
		resizable: false,
		modal: false,
		width: 490,
		show: {
			effect: "fade",
			duration: 300
		} 
	});

	$('#errButton').click(function ()
	{
		$('.dialogMyMessages').animate({height: "0px"}, 0).html('');
		checkMessages = false;	
		jMessageTitle.val('');
		jMessage.val('');
		$('#errDialog').dialog("open");             	
	});


	jMessageTitle.keydown(function (e) 
	{
		if (e.ctrlKey && e.keyCode == 13) {
			jSendBut.trigger( "click" );
		} 
	});

	jMessage.keydown(function (e) 
	{
		if (e.ctrlKey && e.keyCode == 13) {
			jSendBut.trigger( "click" );
		} 
	});


	jSendBut
		.keydown(function (e)
		{
			if (e.keyCode == 13) {
				jSendBut.trigger( "click" );
				jMessageTitle.focus();
			} 
			else if ((e.keyCode || e.which) == 9) {
				e.preventDefault();
				jMessageTitle.focus();
			}
		})
	.click(function()
	{
		if (!err_ready)
			return;
		err_ready = false;
		
		// Save and erase
		var mesTitle = jMessageTitle.val();
		var mesText = jMessage.val();


		if(mesTitle.length <= 0 || mesText.length <= 0)  {
			var vMessage = (mesTitle.length <= 0)	?'Вы не ввели тему сообщения'
													:'Вы не ввели сообщение';
			EventInspector_ShowMsg(vMessage, 'error');
			err_ready = true;
			return;
		}

		jMessage.prop('disabled', true);
		jMessageTitle.prop('disabled', true);
		jSendBut.prop('disabled', true);
		$.ajax({
				type: "POST",
				url: URLdir + "handler/ErrMessages/createRequest",       
				data: 	{	title: mesTitle, 
							text: mesText
						},
				success: function(data)
				{ 
					err_ready = true;
					data = $.parseJSON(data);
					if(data.success === true) {
						EventInspector_ShowMsg('Сообщение успешно отправлено!', 'success');
						jMessageTitle.val('');
						jMessage.val('');
					}
					else 
						EventInspector_ShowMsg('Сообщение не отправлено', 'error');	

					jMessage.removeAttr('disabled');
					jMessageTitle.removeAttr('disabled');
					jSendBut.removeAttr('disabled');
					jMessageTitle.focus();
				}
		});				
	});	     




// deprecated

	$('.dialogMyMessagesBtn').click(function() 
	{
		if(!checkMessages)
		{
			$.getJSON(URLdir + "handler/ErrMessages/getRequests", {}, function(data){
				if(typeof(data[0]) == "undefined")
					EventInspector_ShowMsg('Вы еще ничего не написали', 'error');
				else
				{
					var valHeight = 0;
					var num = data['num'];

					for(var i = 0; i <= num; ++i) 
					{
						$('.dialogMyMessages').append('<div class="request"><div class="dateReq">'+data[i]['Date']+' </div><div class="titleReq">'+data[i]['Title']+'</div></div>');
						valHeight += 23;								
					}
					$('.dialogMyMessages').animate({height: valHeight}, 500);
				}	
			});							

			checkMessages = true;
		}
		else
		{
			$('.dialogMyMessages').animate({height: "0px"}, 500).html('');
			checkMessages = false;	
		}
	});



});
